summaryrefslogtreecommitdiffstats
path: root/misc/merkaartor
diff options
context:
space:
mode:
Diffstat (limited to 'misc/merkaartor')
-rwxr-xr-xmisc/merkaartor/merkaartor.SlackBuild15
1 files changed, 6 insertions, 9 deletions
diff --git a/misc/merkaartor/merkaartor.SlackBuild b/misc/merkaartor/merkaartor.SlackBuild
index 493e0e8156..07b716505a 100755
--- a/misc/merkaartor/merkaartor.SlackBuild
+++ b/misc/merkaartor/merkaartor.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for Merkaartor
# Written by otzy_007 (oz@oprod.net)
+# Fixed to include translations by Manuel Reimer <manuel.reimer@gmx.de>
PRGNAM=merkaartor
VERSION=${VERSION:-0.15.3}
@@ -41,7 +42,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+make -C translations release
+
qmake -unix PREFIX=/usr DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ NODEBUG=1\
QMAKE_CFLAGS="$SLKCFLAGS" \
LIBDIR="/usr/lib${LIBDIRSUFFIX}"\
QMAKE_CXXFLAGS="$SLKCFLAGS"
@@ -49,15 +53,8 @@ qmake -unix PREFIX=/usr DOCDIR=/usr/doc/$PRGNAM-$VERSION \
make
make install INSTALL_ROOT=$PKG
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-
-find $PKG -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \